Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# QwtKnob Class Reference

Inheritance diagram for QwtKnob:

[legend]
Collaboration diagram for QwtKnob:

[legend]
List of all members.

## Detailed Description

The Knob Widget.

The QwtKnob widget imitates look and behaviour of a volume knob on a radio. It contains a scale around the knob which is set up automatically or can be configured manually (see QwtScaleIf). Automatic scrolling is enabled when the user presses a mouse button on the scale. For a description of signals, slots and other members, see QwtSliderBase.

See also:
  QwtSliderBase and QwtScaleIf for the descriptions of the inherited members.

Definition at line 32 of file qwt_knob.h.

## Public Types
enum | Symbol { Line, Dot }
## Public Member Functions
| QwtKnob (QWidget *parent=0, const char *name=0)
virtual | ~QwtKnob ()
void | setKnobWidth (int w)
void | setTotalAngle (double angle)
void | setBorderWidth (int bw)
int | knobWidth () const
double | totalAngle () const
int | borderWidth () const
void | setSymbol (Symbol)
Symbol | symbol () const
virtual QSize | sizeHint () const
virtual QSize | minimumSizeHint () const
## Protected Member Functions
virtual void | paintEvent (QPaintEvent *e)
virtual void | resizeEvent (QResizeEvent *e)
void | draw (QPainter *p, const QRect &ur)
void | drawKnob (QPainter *p, const QRect &r)
void | drawMarker (QPainter *p, double arc, const QColor &c)

## Member Enumeration Documentation

enum QwtKnob::Symbol

| Symbol See also: QwtKnob::QwtKnob() Definition at line 47 of file qwt_knob.h. Referenced by symbol().

## Constructor & Destructor Documentation

QwtKnob::QwtKnob | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |

  | Constructor. Parameters:
  | parent | Parent widget
  | name | Name
Definition at line 23 of file qwt_knob.cpp. References QwtScaleIf::scaleDraw(), QwtScaleDraw::setGeometry(), setTotalAngle(), and QwtSliderBase::setUpdateTime().

QwtKnob::~QwtKnob | ( |  | ) | `[virtual]`

| Destructor. Definition at line 49 of file qwt_knob.cpp.

## Member Function Documentation

int QwtKnob::borderWidth | ( |  | ) | const

| Return the border width. Definition at line 61 of file qwt_knob.h.

void QwtKnob::draw | ( | QPainter * | painter,
|  | const QRect & | ur
| ) | `[protected]`

| Repaint the knob. Definition at line 275 of file qwt_knob.cpp. References QwtScaleDraw::draw(), drawKnob(), and QwtScaleIf::scaleDraw(). Referenced by paintEvent().

void QwtKnob::drawKnob | ( | QPainter * | p,
|  | const QRect & | r
| ) | `[protected]`

  | Draw the knob. Parameters:
  | p | painter
  | r | borders of the knob
Definition at line 99 of file qwt_knob.cpp. References drawMarker(), and QwtSliderBase::isValid(). Referenced by draw().

void QwtKnob::drawMarker | ( | QPainter * | p,
|  | double | arc,
|  | const QColor & | c
| ) | `[protected]`

  | Draw the marker at the knob's front. Parameters:
  | p | Painter
  | arc | Angle of the marker
  | c | Marker color
Definition at line 301 of file qwt_knob.cpp. Referenced by drawKnob().

int QwtKnob::knobWidth | ( |  | ) | const

| Return the width of the knob. Definition at line 57 of file qwt_knob.h.

QSize QwtKnob::minimumSizeHint | ( |  | ) | const`[virtual]`

| Return a minimum size hint. Warning: The return value of QwtKnob::minimumSizeHint() depends on the font and the scale. Definition at line 424 of file qwt_knob.cpp. References QwtScaleDraw::minHeight(), and QwtScaleIf::scaleDraw(). Referenced by sizeHint().

void QwtKnob::paintEvent | ( | QPaintEvent * | e | ) | `[protected, virtual]`

| Repaint the knob. Definition at line 262 of file qwt_knob.cpp. References draw(), and QwtPaintBuffer::painter().

void QwtKnob::resizeEvent | ( | QResizeEvent * | e | ) | `[protected, virtual]`

| Qt Resize Event. Definition at line 228 of file qwt_knob.cpp.

void QwtKnob::setBorderWidth | ( | int | bw | ) |

  | Set the knob's border width. Parameters:
  | bw | new border width
Definition at line 360 of file qwt_knob.cpp.

void QwtKnob::setKnobWidth | ( | int | w | ) |

  | Change the knob's width. The specified width must be >= 5, or it will be clipped. Parameters:
  | w | New width
Definition at line 350 of file qwt_knob.cpp.

void QwtKnob::setSymbol | ( | QwtKnob::Symbol | s | ) |

| Set the symbol of the knob. See also: QwtKnob::symbol() Definition at line 57 of file qwt_knob.cpp.

void QwtKnob::setTotalAngle | ( | double | angle | ) |

  | Set the total angle by which the knob can be turned. Parameters:
  | angle | Angle in degrees.
The default angle is 270 degrees. It is possible to specify an angle of more than 360 degrees so that the knob can be turned several times around its axis. Definition at line 83 of file qwt_knob.cpp. References QwtScaleIf::scaleDraw(), and QwtScaleDraw::setAngleRange(). Referenced by QwtKnob().

QSize QwtKnob::sizeHint | ( |  | ) | const`[virtual]`

| Returns: QwtKnob::minimumSizeHint() Definition at line 414 of file qwt_knob.cpp. References minimumSizeHint().

QwtKnob::Symbol QwtKnob::symbol | ( |  | ) | const

| Returns: symbol of the knob See also: QwtKnob::setSymbol() Definition at line 70 of file qwt_knob.cpp. References Symbol.

double QwtKnob::totalAngle | ( |  | ) | const

| Return the total angle. Definition at line 59 of file qwt_knob.h.